net.corda.node.utilities.registration

## Class HTTPNetworkRegistrationService

- net.corda.node.utilities.registration.HTTPNetworkRegistrationService

- All Implemented Interfaces:
    NetworkRegistrationService

      public class HTTPNetworkRegistrationService
      implements NetworkRegistrationService

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HTTPNetworkRegistrationService.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static HTTPNetworkRegistrationService.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTTPNetworkRegistrationService(java.net.URL server)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.URL` | `getServer()`
    `java.security.cert.Certificate[]` | `retrieveCertificates(java.lang.String requestId)` Poll Certificate Signing Server for the request and returns a chain of certificates if request has been approved, null otherwise.
    `java.lang.String` | `submitRequest(org.bouncycastle.pkcs.PKCS10CertificationRequest request)` Submits a CSR to the signing service and returns an opaque request ID.

    - ### Methods inherited from interface net.corda.node.utilities.registration.NetworkRegistrationService

      `retrieveCertificates, submitRequest`

- - ### Field Detail

    - #### Companion

          public static HTTPNetworkRegistrationService.Companion Companion

  - ### Constructor Detail

    - #### HTTPNetworkRegistrationService

          public HTTPNetworkRegistrationService(java.net.URL server)

  - ### Method Detail

    - #### retrieveCertificates

          public java.security.cert.Certificate[] retrieveCertificates(java.lang.String requestId)

      Poll Certificate Signing Server for the request and returns a chain of certificates if request has been approved, null otherwise.

    - #### submitRequest

          public java.lang.String submitRequest(org.bouncycastle.pkcs.PKCS10CertificationRequest request)

      Submits a CSR to the signing service and returns an opaque request ID.

    - #### getServer

          public java.net.URL getServer()